Package groovy.util.logging

# Class PlatformLog.JavaUtilLoggingStrategy

java.lang.Object
org.codehaus.groovy.transform.LogASTTransformation.AbstractLoggingStrategy
org.codehaus.groovy.transform.LogASTTransformation.AbstractLoggingStrategyV2
groovy.util.logging.PlatformLog.JavaUtilLoggingStrategy

All Implemented Interfaces:
  `LogASTTransformation.LoggingStrategy`, `LogASTTransformation.LoggingStrategyV2`

Enclosing class:
  PlatformLog

public static class PlatformLog.JavaUtilLoggingStrategy extends LogASTTransformation.AbstractLoggingStrategyV2
This class contains the logic of how to weave a Java platform logger into the host class.

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.transform.LogASTTransformation.AbstractLoggingStrategy

  `loader`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `JavaUtilLoggingStrategy(GroovyClassLoader loader)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FieldNode`
  `addLoggerFieldToClass(ClassNode classNode, String logFieldName, String categoryName, int fieldModifiers)`
  In this method, you are given a ClassNode, a field name and a category name, and you must add a new Field onto the class.
  `boolean`
  `isLoggingMethod(String methodName)`
  `Expression`
  `wrapLoggingMethodCall(Expression logVariable, String methodName, Expression originalExpression)`

  ### Methods inherited from class org.codehaus.groovy.transform.LogASTTransformation.AbstractLoggingStrategyV2

  `addLoggerFieldToClass`

  ### Methods inherited from class org.codehaus.groovy.transform.LogASTTransformation.AbstractLoggingStrategy

  `classNode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.transform.LogASTTransformation.LoggingStrategy

  `getCategoryName`

- ## Constructor Details

  - ### JavaUtilLoggingStrategy

    protected JavaUtilLoggingStrategy(GroovyClassLoader loader)

- ## Method Details

  - ### addLoggerFieldToClass

    public FieldNode addLoggerFieldToClass(ClassNode classNode, String logFieldName, String categoryName, int fieldModifiers)
    Description copied from interface: `LogASTTransformation.LoggingStrategyV2`
    In this method, you are given a ClassNode, a field name and a category name, and you must add a new Field onto the class. Return the result of the ClassNode.addField operations.
    Parameters:
      `classNode` - the class that was originally annotated with the Log transformation.
      `logFieldName` - the name of the logger field
      `categoryName` - the name of the logging category
      `fieldModifiers` - the modifiers (private, final, et. al.) of the logger field
    Returns:
      the FieldNode instance that was created and added to the class

  - ### isLoggingMethod

    public boolean isLoggingMethod(String methodName)

  - ### wrapLoggingMethodCall

    public Expression wrapLoggingMethodCall(Expression logVariable, String methodName, Expression originalExpression)